/// <reference types="react" />
import { ElementFactory } from "./ElementFactory";
export interface IEditable {
    renderEditUI(): JSX.Element | null;
}
export declare class EditableUtilities {
    static getEditor(target: IEditable | undefined): ElementFactory<any>;
    private static renderEmpty;
    private static getRenderEditUIComponent;
}
